org.apache.mina.filter.buffer

## Class IoBufferLazyInitializer

- java.lang.Object
- - org.apache.mina.util.LazyInitializer<IoBuffer>
  - - org.apache.mina.filter.buffer.IoBufferLazyInitializer

-     public class IoBufferLazyInitializer
      extends LazyInitializer<IoBuffer>

  An `LazyInitializer` implementation that initializes an `IoBuffer` only when needed.
  Since:
    MINA 2.0.0-M2
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoBufferLazyInitializer(int bufferSize)` Constructor which sets allocated buffer size to `bufferSize`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IoBuffer` | `init()` Initializes the value.

    - ### Methods inherited from class org.apache.mina.util.LazyInitializer

      `get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IoBufferLazyInitializer

          public IoBufferLazyInitializer(int bufferSize)

      Constructor which sets allocated buffer size to `bufferSize`.
      Parameters:
        `bufferSize` - the new buffer size

  - ### Method Detail

    - #### init

          public IoBuffer init()

      Initializes the value.
      Specified by:
        `init` in class `LazyInitializer<IoBuffer>`
      Returns:
        the initialized value

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.